Security Enhanced Linux Reference Policy

# Layer: apps

## Module: pulseaudio

Interfaces

### Description:

Pulseaudio network sound server.

### Interfaces:

pulseaudio_dbus_chat( domain )

##### Summary

Send and receive messages from pulseaudio over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_domtrans( domain )

##### Summary

Execute a domain transition to run pulseaudio.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pulseaudio_exec( domain )

##### Summary

Execute a pulseaudio in the current domain

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pulseaudio_role( role , domain )

##### Summary

Role access for pulseaudio

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

pulseaudio_run( domain , role )

##### Summary

Execute pulseaudio in the pulseaudio domain, and allow the specified role the pulseaudio domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the pulseaudio domain.

pulseaudio_stream_connect( user_domain )

##### Summary

pulsaudio connection template.

##### Parameters

Parameter: | Description:
--- | ---
user_domain | The type of the user domain.

Return